| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::moving_averager Struct Reference

`#include <discordvoiceclient.h>`

Collaboration diagram for dpp::moving_averager:
[legend]

## Public Member Functions

| moving_averager ()=default
| moving_averager (uint64_t collection_count_new)
| operator float ()
moving_averager | operator+= (int64_t value)

## Protected Attributes

uint64_t | collectionCount {}
std::deque< int64_t > | values {}

## Constructor & Destructor Documentation

## ◆ moving_averager() [1/2]

dpp::moving_averager::moving_averager | ( |  | ) |

default

## ◆ moving_averager() [2/2]

dpp::moving_averager::moving_averager | ( | uint64_t | collection_count_new | ) |

## Member Function Documentation

## ◆ operator float()

dpp::moving_averager::operator float | ( |  | ) |

## ◆ operator+=()

moving_averager dpp::moving_averager::operator+= | ( | int64_t | value | ) |

## Member Data Documentation

## ◆ collectionCount

uint64_t dpp::moving_averager::collectionCount {}

protected

## ◆ values

std::deque<int64_t> dpp::moving_averager::values {}

protected

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0